@echo off
REM /*
REM	Patches the following VMWare Tools Eventlog Warning-Messages in vSphere 5.0/5.1
REM	  [warning] [vmusr:vmusr] Error in the RPC receive loop: RpcIn: Unable to send.
REM	201304 b.stromberg@data-systems.de
REM */

echo Quick patch for the eventlog flooding VMTools (vmwareKB2036350)

if not exist "%ProgramData%\VMware\VMware Tools\" goto error_notools
if not %OS%==Windows_NT goto error_nowinnt

if exist "%ProgramData%\VMware\VMware Tools\tools.conf" (
echo tools.conf found. Trying to apply patch ...
echo ^[logging^]>>"%ProgramData%\VMware\VMware Tools\tools.conf"
echo vmusr.level ^= error>>"%ProgramData%\VMware\VMware Tools\tools.conf"
echo Done.
) else (
echo tools.conf not found. Creating new one ...
echo ^[logging^]>"%ProgramData%\VMware\VMware Tools\tools.conf"
echo vmusr.level ^= error>>"%ProgramData%\VMware\VMware Tools\tools.conf"
echo Done.
)

echo Restarting services ...
net stop VMTools && net start VMTools

goto eof
REM -------------------- Fehler?

:error_notools
echo Fehler: Es konnten keine VMWare-Tools gefunden werden 
echo         (%ProgramData%\VMware\VMware Tools\ nicht gefunden)
echo.
goto eof

:error_nowinnt
echo Fehler: Es konnten kein Windows (NT) Betriebssystem gefunden werden
echo         (Die Systemvariable OS gab %os% zurueck)
echo.
goto eof

REM -------------------- /Fehler?

:eof